 
 
 function IsValidYear(y) 
 {
    return IsValidNum(y,1900,2050);
 }
 
 function IsValidMon(m) 
 {
    return IsValidNum(m,1,13);
 }
 
 function IsValidDay(d) 
 {
    return IsValidNum(d,1,31);
 }
  
 function IsValidHour(h) 
 {
     return IsValidNum(h,0,23);
 }
  
 function IsValidMin(f) 
 {
    return IsValidNum(f,0,59);
 }
  
 function IsValidSec(s) 
 {
     return IsValidNum(s,0,59);
 }
 
 function IsValidNum(s,minVal,maxVal) 
 {
    var i = parseInt(s,10);
    var x = s+''; 
    return (x.length>0 &&!isNaN(s) && i<= maxVal && i>= minVal);
 }
 
 